
clear all; clc;
l=200e-6;
b=20e-6 ;
h=5e-6;
A=l*b;
g0=20e-6;
td=2e-6;
Iz=b*h^3/12;
E=210e9;
k=3*E*Iz/(l^3);
eps_0=8.85e-12;
eps_r=4;
phi_pi=((8*k*(g0+td/eps_r))/(27*eps_0*A))^0.5
phi=phi_pi:1e5:2e8;
F=(eps_r^2*eps_0*A/(2*td^2)).*(phi.^2)-k*g0;
F_pi=(eps_r^2*eps_0*A/(2*td^2))*(phi_pi^2)-k*g0;
plot(phi,F);
hold on;
plot([0 phi_pi phi_pi],[0 0 F_pi]);
axis([0,2e8,-0.5e9,3e9]);
xlabel('Applied Voltage'); ylabel('Contact Force');
title('Contact Force v/s Applied Voltage');
hold off